$(function(){
	$('#cb_music_upload_form').submit(function(){
		$('#cb_music_upload').hide();
		$('#progressbar').show();
		
		var files = $('#cb_music_upload_form input[type="file"]').get(0).files
		var uploadURL = $('#cb_music_upload_form').attr('action')

		if(typeof FormData == 'function'){
			var formData = new FormData();
			
			$('#progressbar').html('<div class="progress">'+
			  '<div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%">'+
				'<span class="sr-only">0%</span>'+
			  '</div>'+
			'</div>');

			for (var i = 0, file; file = files[i]; ++i) {
				formData.append('mus', file);
			}
			formData.append('cbmus', 'load');

			var xhr = new XMLHttpRequest();
			xhr.open('POST', uploadURL, true);
			
			var progressBar = $('#progressbar')
			xhr.upload.onprogress = function(e) {
				if (e.lengthComputable) {
					var procent = Math.round((e.loaded / e.total) * 100)
					progressBar.find('.progress-bar').attr('aria-valuenow', procent);
					progressBar.find('.progress-bar').css('width', procent+'%');
					progressBar.find('.sr-only').text(procent+'%');
				}
			};

			xhr.send(formData);
			xhr.onload = function(e) {
				$('#progressbar').html('');
				$('#cb_music_tab .alert').remove();
				$('#cb_music_upload').show();
				$(this.response).find('#cb_music_tab .alert').appendTo($('#progressbar'))
				
				if ($('#cb_music_tab .alert.alert-success').length)
					location.reload();
			};
			return false;
		}

	})
})