<?php
/**
* Joomla Community Builder User Plugin: plug_cbmus
* @version 2
* @package plug_mus
* @author Tod
* @copyright (C) Tod, http://tj-s.ru
* @license Limited  http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @date 19.08.2015
*/

/** ensure this file is being included by a parent file */
if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }


class getmusTab extends cbTabHandler {
	/**
	 * Construnctor
	 */
	function getmusTab() {
		$this->cbTabHandler();
	}
	
	function getDisplayTab($tab,$user,$ui) {
		global $_POST, $_CB_database, $_CB_framework, $MUS_LANG, $params;
		
		if (file_exists($_CB_framework->getCfg('absolute_path').'/components/com_comprofiler/plugin/user/plug_cbmusic/language/'.$_CB_framework->getCfg( 'lang' ).'.php')){
			include($_CB_framework->getCfg('absolute_path').'/components/com_comprofiler/plugin/user/plug_cbmusic/language/'.$_CB_framework->getCfg( 'lang' ).'.php');
		}else{
			include($_CB_framework->getCfg('absolute_path').'/components/com_comprofiler/plugin/user/plug_cbmusic/language/default.php');
		}
		
		JHtml::_('jquery.framework');
		
		
	// 
		$params 	= $this->params; // get parameters (plugin and related tab)
		$directory 	= $params->get('musTabPath',"mus");
		$maxmus 	= $params->get('musTabMaxMus',5);
		$path 		= $directory.'/';
		$color 		= $params->get('musTabColor','dark');
		$jQueryLoad	= $params->get('musjQuery', 1);
		$imgbar 	= '<img src="'.$_CB_framework->getCfg('live_site'). '/components/com_comprofiler/plugin/user/plug_cbmusic/images/ajax-loader-'.$color.'.gif" alt="loading..." >';
		$base_url 	= 'index.php?option=com_comprofiler&amp;task=userProfile&amp;tab=getmustab';
		
		
		if (isset($_GET["cbmusdel"]))
			$id_mus_for_delete = intval($_GET["cbmusdel"]); //   
		else
			$id_mus_for_delete = false;
		
		$return = '<div id="cb_music_tab">';
	//  id 
		$id = $_CB_framework->myId();
	//  id 		
		$userid = $user->id;
		
		if (!is_dir($directory)){
			mkdir($directory);
			chmod($directory, 0777);

			$blank_index = fopen($directory.'/'.'index.html' ,"w") or die("Set access rights on record!(Cant open ".$directory."/index.html)");
			fwrite($blank_index, "<html>
			<body bgcolor=\"#FFFFFF\">
				Direct Access to this location is not allowed
			</body>
			</html>");
			fclose($blank_index);
		}
		
		include($_CB_framework->getCfg('absolute_path').'/components/com_comprofiler/plugin/user/plug_cbmusic/load.php');

		
		$cbmus = JRequest::getVar('cbmus');
		echo '<h1>'.$cbmus.'</h1>';
//#################    ########################			
			if 	(($id_mus_for_delete != NULL)&&($userid==$id || isModerator($_CB_framework->myId()))){ //    
				$return .= delete_mus($id_mus_for_delete);
			}
//#################    ########################		
			if ($cbmus == 'load'){ //    
				$return .= add_mus();
			}		
//#################      ########################				
			if (isset($_GET["cbmustome"])){ //     
				$return .= add_tome();
			//	$return .=$_GET["cbmustome"];
			}
			
		$query="SELECT *"
			. "\n FROM #__comprofiler_plug_music"
			. "\n WHERE userid='".$userid."' ORDER BY id DESC";

			$_CB_database->setQuery($query);
			$audios = $_CB_database->loadObjectList();	

		if ($userid == $id ){
			if (count($audios)< $maxmus){	//    
				$return .=	"<div class=\"spoiler\" id=\"cb_music_upload\">
			<div class=\"spoilerheader\">
			<a class=\"mus_spoilerbutton btn btn-success btn-lg\" href=\"#\"  \"/><i class='fa fa-plus-circle'></i> ".$MUS_LANG['_upload_more']."</a>
			</div>\n
			<div class=\"mus_spoilerbody\" style=\"display: none\">\n";

				if ($params->get('musTabStats',1) > 0){
					$return .="		<div class=\"alert alert-info\">" .$MUS_LANG['_can_upload1'] .($maxmus-count($audios)) .$MUS_LANG['_can_upload2'] ."</div>";
				}
			$return .="
			<form id=\"cb_music_upload_form\" action=\"".cbSef($base_url.'&amp;cbmus=load')."\" enctype=\"multipart/form-data\" method=\"post\">
				<div class=\"form-group\">
					<input class=\"form-control\" type=\"file\" name=\"mus\"> \n
					<input type=\"hidden\" name=\"cbmus\" value=\"load\">
				</div>
				<div class=\"form-group\">
					<input class=\"btn btn-primary\" type=\"submit\" value=\"".$MUS_LANG['_upload']."\" >
				</div>
			</form>
			
			</div></div><div id=\"progressbar\" style=\"display:none\">".$imgbar."</div>";
			}else{
				$return .=$MUS_LANG['_many_num'];
			}
		}
	
		
			$return_head ='';
			$return1 ='';
			
			$return_head .= '
				<script type="text/javascript" src="'.$_CB_framework->getCfg('live_site').'/components/com_comprofiler/plugin/user/plug_cbmusic/js/jquery.jplayer.min.js"></script>
				<script type="text/javascript" src="'.$_CB_framework->getCfg('live_site').'/components/com_comprofiler/plugin/user/plug_cbmusic/js/jplayer.playlist.min.js"></script>
				<script type="text/javascript" src="'.$_CB_framework->getCfg('live_site').'/components/com_comprofiler/plugin/user/plug_cbmusic/js/uploading.js"></script>
				<link  type="text/css" href="'.$_CB_framework->getCfg('live_site').'/components/com_comprofiler/plugin/user/plug_cbmusic/css/jplayer.css" rel="stylesheet"  />
				<link  type="text/css" href="'.$_CB_framework->getCfg('live_site').'/components/com_comprofiler/plugin/user/plug_cbmusic/css/skin_'.$color.'.css" rel="stylesheet"  />';
				
				
			$return_head .= '
			<script type="text/javascript">';
		
			$return_head .= '
			jQuery(function(){
				
				jQuery("#jp_container_1 .main_bar").width(jQuery("#jp_container_1 .controller-body").width() - 180);
				
				jQuery("*").live("click",function(){
					jQuery("#jp_container_1 .main_bar").width(jQuery("#jp_container_1 .controller-body").width() - 180);
				})
				
				jQuery(".mus_spoilerbutton").click(function(){
					if (jQuery(".mus_spoilerbody").is(":hidden")){
						jQuery(".mus_spoilerbody").slideDown("fast");
					}else{
						jQuery(".mus_spoilerbody").slideUp("fast");
					}
					return false;
				})
				jQuery(document).on("click", ".tome", function(){
					var cur_obj = jQuery(this);
					jQuery(cur_obj).children("i").removeAttr("class");
					jQuery(cur_obj).children("i").addClass("fa fa-spinner");
					jQuery.ajax({
						url: jQuery(this).attr("href"),
						success: function(data) {
							jQuery(cur_obj).parent().html("'.$MUS_LANG['_tome_added'].'");
						}
					});
					return false;	
				});
				jQuery(document).on("click", ".del_mus", function(){
					var cur_obj = jQuery(this);
					jQuery(cur_obj).children("i").removeAttr("class");
					jQuery(cur_obj).children("i").addClass("fa fa-spinner");
					jQuery.ajax({
						url: jQuery(this).attr("href"),
						success: function(data) {
							jQuery(cur_obj).parent().html("'.$MUS_LANG['_ajax_deleted'].'");
						}
					});
					return false;	
				});
				
				
				player_int();
				
				jQuery("*").bind(jQuery.jPlayer.event.play, function() {
					text = (jQuery("a.jp-playlist-item.jp-playlist-current:first").html());
					jQuery("#curentTrack .line").html( text );
				});
			});';
		if (count($audios)){
		$return_head .= '
			function player_int(){
				new jPlayerPlaylist({
					jPlayer: "#jquery_jplayer_1",
					cssSelectorAncestor: "#jp_container_1"
				}, [';			
			$num=0;
				foreach ($audios AS $audio) {
					if (!($num==0))
						$return_head .= ',';
					$num++;	
				if 	($userid == $id || isModerator($_CB_framework->myId())){
					if (isModerator($_CB_framework->myId()) && $userid != $id ){
						$return_head .= '
					{
						artist:"<div class=\'tome_block\'><a class=\'tome\' href=\''.cbSef($base_url.'&amp;cbmustome='.$audio->id).'\' title=\''.$MUS_LANG['_tome'].'\'><i class=\'fa fa-plus\'></i>[+]</a></div><div class=\'download_block\'><a class=\'del_mus\' href=\''.cbSef($base_url.'&amp;cbmusdel='.$audio->id).'\'><i class=\'fa fa-times\'></i>['.$MUS_LANG['_delete'].']</a></div>", ';
					}else{
						$return_head .= '
					{
						artist:"<div class=\'download_block\'><a class=\'del_mus\' href=\''.cbSef($base_url.'&amp;cbmusdel='.$audio->id).'\'><i class=\'fa fa-times\'></i>['.$MUS_LANG['_delete'].']</a></div>", ';					
					}
				}else{
					if ($id){
					$return_head .= '
				{
					artist:"<div class=\'tome_block\'><a class=\'tome\' href=\''.cbSef($base_url.'&amp;cbmustome='.$audio->id).'\' title=\''.$MUS_LANG['_tome'].'\'><i class=\'fa fa-plus\'></i>[+]</a></div>", ';				
					}else{
					$return_head .= '
				{
					artist:"", ';				
						
					}
				}	
			$return_head .= '		title:"'.htmlentities($audio->title, ENT_QUOTES, 'UTF-8').'",
					mp3:"'.$_CB_framework->getCfg('live_site').'/'.$audio->url . '"
				}';
				
				}
			$return_head .= '
				], {
					swfPath: "'.$_CB_framework->getCfg('live_site').'/components/com_comprofiler/plugin/user/plug_cbmusic/js/",
					supplied: "mp3",
					wmode: "window"
				});
			}	';
		}else{
			$return_head .= '
			function player_int(){
				return false;
			}';
		}
		$return_head .= '	
			</script>';			
		$return .= $return_head;
		
		if (count($audios)){ //    	
			$return1 .='<div id="jquery_jplayer_1" class="jp-jplayer"></div>

			<div id="jp_container_1" class="jp-audio">
				<div class="jp-type-playlist">
					<div class="jp-gui jp-interface">
					<div id="controller">
						<div class="controller-body">
							<div class="controll_bar">
								<ul class="jp-controls">
									<li><a href="javascript:;" class="jp-play" tabindex="1">play</a></li>
									<li><a href="javascript:;" class="jp-pause" tabindex="1">pause</a></li>
									<li><a href="javascript:;" class="jp-previous" tabindex="1">previous</a></li>
									<li><a href="javascript:;" class="jp-repeat" tabindex="1" title="repeat">repeat</a></li>
									<li><a href="javascript:;" class="jp-repeat-off" tabindex="1" title="repeat off">repeat off</a></li>						
									<li><a href="javascript:;" class="jp-next" tabindex="1">next</a></li>
								</ul>
							</div>
							<div class="main_bar">
								<div class="info_block">	
									<div id="curentTrack"><div class="line">'.$MUS_LANG['_select'].'</div></div>
								</div>	
								<div class="jp-progress">
									<div class="jp-progress-line">
										<div class="jp-seek-bar">
											<div class="jp-play-bar"><div class="jp-stat_begun jp-duration_not jp-current-time"></div></div>
										</div>
									</div>	
								</div>
							</div>	
							<div class="volume_bar">
								<div class="jp-volume-bar">
									<div class="jp-volume-bar-value"></div>
								</div>
								<ul class="jp-toggles">
									<li><a href="javascript:;" class="jp-shuffle" tabindex="1" title="shuffle">shuffle</a></li>
									<li><a href="javascript:;" class="jp-shuffle-off" tabindex="1" title="shuffle off">shuffle off</a></li>
								</ul>
							</div>
						
						</div>
						<div style="width:100%;clear:both;">&nbsp;</div>
					</div>	
					</div>
					<div class="jp-playlist">
						<ul>
							<li></li>
						</ul>
					</div>
					<div class="jp-no-solution">
						<span>Ooops!</span>
						'.$MUS_LANG['_flash'].'
					</div>
				</div>
			</div>';
			
			
			$return .= $return1;
		} elseif($userid != $id){ //     ,   
			$return .=$MUS_LANG['_no_mus'];
		}else{
			$return .= $return1;
		}
		
		//$return .= '<br />$userid='.$userid.' $id='.$id;
		
		$return .= '</div>';
		return $return;
	}

	// end or getDisplayTab function
} // end of gethelloworldTab class
?>