<?php
/**
* Joomla Community Builder User Plugin: plug_cbmus
* @version 2
* @package plug_mus
* @author Tod
* @copyright (C) Tod, http://tj-s.ru
* @license Limited  http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @date 19.08.2015
*/

function add_mus(){
	global $_CB_framework, $_CB_database, $_POST, $params, $MUS_LANG;
	
	$directory = $params->get('musTabPath',"mus");
	$maxmus = $params->get('musTabMaxMus',5);
	$max_file_size = ($params->get('musTabMaxFileSize',9))*1024*1024;
	$max_dir_size = ($params->get('musTabMaxDirSize',50))*1024*1024;
	$path = $directory.'/';	
	$id = $_CB_framework->myId();
	$file_size = $_FILES["mus"]["size"];
	$musname = substr($_FILES["mus"]["name"], 0, -4); 
	
	$query="SELECT *"
	. "\n FROM #__comprofiler_plug_music"
	. "\n WHERE userid='".$id."' ORDER BY id DESC";
	$_CB_database->setQuery($query);
	$audios = $_CB_database->loadObjectList();	
	$dir_size = 0;
	foreach ($audios AS $audio) {
		$dir_size +=$audio->filesize;
	}
	$count = count($audios);
		
	$rand_word = chr(rand(97, 122)) .chr(rand(97, 122)) .chr(rand(97, 122)) .chr(rand(97, 122)) .chr(rand(97, 122));
	
	if ((substr($_FILES["mus"]["name"], -3)=='mp3') || (substr($_FILES["mus"]["name"], -3)=='MP3'))
		$correct_mp3 = true;
	if ($max_file_size >= $file_size)	
		$correct_filesize = true;
	if ($max_dir_size > ($dir_size + $file_size))
		$correct_dirsize = true;
		
	$url = $path .'userid'.$id.'-num'.$count.'-'.$rand_word.'.mp3';
	$return = '';
	if ($correct_mp3 && $correct_filesize && $correct_dirsize && ($count < $maxmus)){
		
		$uploading_md5 = md5_file($_FILES["mus"]["tmp_name"]);
		$query="SELECT *"
		. "\n FROM #__comprofiler_plug_music"
		. "\n WHERE md5='".$uploading_md5."' ORDER BY id DESC";

		$_CB_database->setQuery($query);
		$audio_for_upload = $_CB_database->loadObjectList();	
		if (count($audio_for_upload)) //      
			$audio_for_upload = $audio_for_upload[0];
		
		if (!(count($audio_for_upload))){ //  ,      
			
			if(copy($_FILES["mus"]["tmp_name"], $_CB_framework->getCfg('absolute_path'). "/" .$url)){
						
				$md5 = md5_file($_CB_framework->getCfg('absolute_path'). "/" .$url);

				include('Id.php');
				$id3 = new MP3_Id();
				$result = $id3->read( $_CB_framework->getCfg('absolute_path'). "/" .$url);
				// ,        
				if ( (trim($id3->getTag('artists'))) && (trim($id3->getTag('name'))) ){ 
					$musinfo = addslashes(win2utf(trim($id3->getTag('artists')))).' - '.addslashes(win2utf(trim($id3->getTag('name'))));
				}else{
					$musinfo = $musname;
				}
						
				$query = "INSERT INTO #__comprofiler_plug_music SET 
					userid = $id,
					title='$musinfo', 
					url = '$url',
					filesize = $file_size,
					md5='$md5'";
				$_CB_database->setQuery($query);
				if (!$_CB_database->query()) {
					print("<font color=\"red\">pbSave SQL error: " . $_CB_database->stderr(true)."</font><br />");
					return false;
				}	
			
				$return .= '<div class="alert alert-success">'.$MUS_LANG['_successfully_uploaded'].'</div>';
			}else{
				$return .= '<div class="alert alert-danger">';
				switch ($_FILES['mus']['error']){
					case 1:
						$return .=$MUS_LANG['_error_upload'] .$MUS_LANG['_error_1'];
						break;
					case 2:
						$return .=$MUS_LANG['_error_upload'] .$MUS_LANG['_error_2'];
						break;
					case 3:
						$return .=$MUS_LANG['_error_upload'] .$MUS_LANG['_error_3'];
						break;	
					case 4:
						$return .=$MUS_LANG['_error_upload'] .$MUS_LANG['_error_4'];
						break;					
					default:
						$return .=$MUS_LANG['_error_upload'] .$MUS_LANG['_error_5'];
				}
				$return .= '</div>';
			}
		}else{ //      ,       
			
			require_once 'Id.php';
				$id3 = new MP3_Id();
				$result = $id3->read( $_FILES["mus"]["tmp_name"]);
				// ,        
				if ( (trim($id3->getTag('artists'))) && (trim($id3->getTag('name'))) ){ 
					$musinfo = addslashes(win2utf(trim($id3->getTag('artists')))).' - '.addslashes(win2utf(trim($id3->getTag('name'))));
				}else{
					$musinfo = $musname;
				}
			
			$query = "INSERT INTO #__comprofiler_plug_music SET 
					userid = $id,
					title='$musinfo', 
					url = '$audio_for_upload->url',
					filesize = $file_size,
					md5='$audio_for_upload->md5'";
				$_CB_database->setQuery($query);
				if (!$_CB_database->query()) {
					print("<font color=\"red\">pbSave SQL error: " . $_CB_database->stderr(true)."</font><br />");
					return;
				}	
		}
	
	}else{
		$return .= '<div class="alert alert-danger">';
		if (!$correct_mp3)
			$return .=$MUS_LANG['_only_mp3'].'<b>('.$_FILES["mus"]["name"].')</b>';
		elseif(!$correct_filesize)	
			$return .=$MUS_LANG['_big_file'];
		elseif(!$correct_dirsize)
			$return .=$MUS_LANG['_full_dir'];
		elseif(!($count < $maxmus))
			$return .=$MUS_LANG['_many_num'];
		else
			$return .=$MUS_LANG['_error_5'];
		$return .= '</div>';
	}
	return $return;
}	

function add_tome(){
	global $_CB_framework, $_CB_database, $_POST, $params, $MUS_LANG;
	$id = $_CB_framework->myId();
	
	$musid = $_GET["cbmustome"];
	
	$query="SELECT *"
	. "\n FROM #__comprofiler_plug_music"
	. "\n WHERE id = '$musid'";
	$_CB_database->setQuery($query);
	$audio_tome = $_CB_database->loadObjectList();
	$audio_tome = $audio_tome[0];
		
	$query = "INSERT INTO #__comprofiler_plug_music SET 
				userid = $id,
				title = '".addslashes($audio_tome->title)."', 
				url = '$audio_tome->url',
				filesize = 0,
				md5='$audio_tome->md5'";
	$_CB_database->setQuery($query);
	if (!$_CB_database->query()) {
		print("<font color=\"red\">pbSave SQL error: " . $_CB_database->stderr(true)."</font><br />");
		return;
	}
	return "<div class='alert alert-success'>".$MUS_LANG['_tome_success'].'</div>';
	
}

function delete_mus($id){
	global $_CB_database, $_CB_framework, $MUS_LANG;
	
	$query="SELECT *"
	. "\n FROM #__comprofiler_plug_music"
	. "\n WHERE id='".$id."' ORDER BY id DESC";

	$_CB_database->setQuery($query);
	$audio_for_del = $_CB_database->loadObjectList();	
	$audio_for_del = $audio_for_del[0];

	$query="SELECT *"
	. "\n FROM #__comprofiler_plug_music"
	. "\n WHERE md5='".$audio_for_del->md5."' ORDER BY id DESC";
	$_CB_database->setQuery($query);
	$md5_audio_for_del = $_CB_database->loadObjectList();	

	if ($audio_for_del->id){
		if (count($md5_audio_for_del) == 1) //         
			unlink($_CB_framework->getCfg('absolute_path').'/'.$audio_for_del->url); //   
		
		$_CB_database->setQuery("DELETE FROM #__comprofiler_plug_music WHERE id=".$id);
		$_CB_database->query();
		if (!$_CB_database->query()) {
			print("<font color=\"red\">videoDelete SQL error: " . $_CB_database->stderr(true)."</font><br />");
			return;
		}
		$return = false;
	}else
		$return = $MUS_LANG['_error_5'];
	
	return $return;
}
function win2utf($str){
	$utf = "";
	for($i = 0; $i < strlen($str); $i++){
		$donotrecode = false;
		$c = ord(substr($str, $i, 1));
		if ($c == 0xA8) $res = 0xD081;
		elseif ($c == 0xB8) $res = 0xD191;
		elseif ($c < 0xC0) $donotrecode = true;
		elseif ($c < 0xF0) $res = $c + 0xCFD0;
		else $res = $c + 0xD090;
		$utf .= ($donotrecode) ? chr($c) : (chr($res >> 8) . chr($res & 0xff));
	}
	return $utf;
}
?>